/* message.h -- declaration for verbosity sensitive feedback function
   Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
   Copyright (c) 1995, 96, 97 Akim Demaille, Miguel Santana

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/* 
 * Note:
 * very strong inspiration was taken in error.[ch] by
 * David MacKenzie <djm@gnu.ai.mit.edu>
 */

#ifndef _MESSAGE_H_
#define _MESSAGE_H_

#if HAVE_CONFIG_H
# include <config.h>
#endif

#include <stdio.h>

#include "xstdarg.h"

# if defined (__STDC__) && __STDC__

/* Print the message MESSAGE, which is a printf-style
   format string with optional args if msg_level is bigger than 
   message_verbosity.*/

extern void message (int msg_level, const char *format, ...)
     __attribute__ ((__format__ (__printf__, 2, 3)));

# else
void message ();
# endif

/* The bigger, the more verbose.  Should be set by application
 * (default is 0, set to -1 for to messages) */
extern unsigned int message_verbosity;

/* Where the message are sent */
extern FILE * message_stream;

#endif /* not MESSAGE_H_ */
